Skip to main content

Commit cursors

POST 

/subscriptions/{subscription_id}/cursors

This endpoint commits offsets of the subscription.

  • If there is uncommited data, and no commits happen for 60 seconds, Mambu will consider the client to be gone, and will close the connection. As long as no events are sent, the client does not need to commit.

  • If the connection is closed, the client has 60 seconds to commit the events it received, from the moment they were sent. After that, the connection will be considered closed, and it will not be possible to do commit with that X-Mambu-StreamId anymore.

  • When a batch is committed, that also automatically commits all previous batches that were sent in a stream for this partition.

Request

Responses

At least one cursor which was tried to be committed is older or equal to already committed one. Array of commit results is returned for this status code